Imports Microsoft.VisualBasic
Imports System
Imports System.Runtime.InteropServices
Imports CustomToolGenerator

Namespace CustomToolProject
	<Guid("8696CA73-4FD7-4e5f-B267-48C9F3CB8F07")> _
	Public Class CustomGenerator : Inherits BaseCodeGeneratorWithSite
		Protected Overrides Function GenerateCode(ByVal file As String, ByVal contents As String) As Byte()
            'W tym miejscu generowany jest kod, który zostanie zwrócony przez narzędzie
			Dim code As String = "using System;" & ControlChars.CrLf & "                                  namespace Vehicles" & ControlChars.CrLf & "                                  { " & ControlChars.CrLf & "                                        public class Car { } " & ControlChars.CrLf & "                                  }" & ControlChars.CrLf & "                                "
			Return System.Text.Encoding.ASCII.GetBytes(code)
		End Function
	End Class
End Namespace
